Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.Get Method (UInt32)
BTreeDatabase Class See Also Send Feedback

Retrieve a specific numbered key/data pair from the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public KeyValuePair<DatabaseEntry, DatabaseEntry> Get(
    	uint recno
    )

Visual Basic (Declaration)
    Public Function Get ( _
    	recno As UInteger _
    ) As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++
    public:
    KeyValuePair<DatabaseEntry^, DatabaseEntry^> Get(
    	unsigned int recno
    )

#### Parameters

recno
  Type: System..::.UInt32
  The record number of the record to be retrieved.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is recno and whose Value parameter is the retrieved data.

# See Also

BTreeDatabase Class
Get Overload
BerkeleyDB Namespace